Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class ExternalResource

`java.lang.Object
oracle.ovs.api.datamodel.resource.ExternalResource`

All Implemented Interfaces:
  java.io.Serializable

      public class ExternalResource

extends java.lang.Object
implements java.io.Serializable

external resource description

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `FTP_PROTOCOL`
`static java.lang.String` | `HTTP_PROTOCOL`
`static java.lang.String` | `HTTPS_PROTOCOL`
`static java.lang.String` | `NFS_PROTOCOL`
`static java.lang.String` | `V2V_PROTOCOL`

Constructor Summary
`ExternalResource()`
`ExternalResource(java.lang.String url, Resources resType)`
`ExternalResource(java.lang.String url, java.lang.String proxyUrl, Resources resType)`

Method Summary
`static java.lang.String` | `decodeSpace(java.lang.String url)`
`static java.lang.String` | `encodeSpace(java.lang.String url)`
`java.lang.String` | `getDownloadLocation()`
`java.lang.String` | `getDownloadUserInfo()`
`java.lang.Boolean` | `getFolder()`
`java.lang.Boolean` | `getHasProxy()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getProxyFullPath()`
`java.lang.String` | `getProxyLocation()`
`java.lang.String` | `getProxyPassword()`
`java.lang.String` | `getProxyUserInfo()`
`java.lang.String` | `getProxyUsername()`
`java.lang.String` | `getResources()`
`Resources` | `getResourceType()`
`java.lang.String` | `getV2VURLFormat()`
`java.lang.Boolean` | `isISOURLFormat()`
`java.lang.Boolean` | `isV2VURLFormat()`
`void` | `setDownloadLocation(java.lang.String downloadLocation)`
`void` | `setDownloadProperty(Resources resType)`
`void` | `setDownloadUserInfo(java.lang.String downloadUserInfo)`
`void` | `setFolder(java.lang.Boolean folder)`
`void` | `setHasProxy(java.lang.Boolean hasProxy)`
`void` | `setProtocol(java.lang.String protocol)`
`void` | `setProxyFullPath(java.lang.String proxyFullPath)`
`void` | `setProxyLocation(java.lang.String proxyLocation)`
`void` | `setProxyPassword(java.lang.String proxyPassword)`
`void` | `setProxyUserInfo(java.lang.String proxyUserInfo)`
`void` | `setProxyUsername(java.lang.String proxyUsername)`
`void` | `setResources(java.lang.String resources)`
`void` | `setResourceType(Resources resourceType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_PROTOCOL

    public static final java.lang.String HTTP_PROTOCOL

  See Also:
    Constant Field Values

### HTTPS_PROTOCOL

    public static final java.lang.String HTTPS_PROTOCOL

  See Also:
    Constant Field Values

### FTP_PROTOCOL

    public static final java.lang.String FTP_PROTOCOL

  See Also:
    Constant Field Values

### V2V_PROTOCOL

    public static final java.lang.String V2V_PROTOCOL

  See Also:
    Constant Field Values

### NFS_PROTOCOL

    public static final java.lang.String NFS_PROTOCOL

  See Also:
    Constant Field Values

Constructor Detail

### ExternalResource

    public ExternalResource()

### ExternalResource

    public ExternalResource(java.lang.String url,
                            Resources resType)
                     throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### ExternalResource

    public ExternalResource(java.lang.String url,
                            java.lang.String proxyUrl,
                            Resources resType)
                     throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

Method Detail

### setDownloadProperty

    public void setDownloadProperty(Resources resType)

### setProtocol

    public void setProtocol(java.lang.String protocol)

### getProtocol

    public java.lang.String getProtocol()

### setFolder

    public void setFolder(java.lang.Boolean folder)

### getFolder

    public java.lang.Boolean getFolder()

### setDownloadLocation

    public void setDownloadLocation(java.lang.String downloadLocation)

### getDownloadLocation

    public java.lang.String getDownloadLocation()

### setProxyLocation

    public void setProxyLocation(java.lang.String proxyLocation)

### getProxyLocation

    public java.lang.String getProxyLocation()

### setResources

    public void setResources(java.lang.String resources)

### getResources

    public java.lang.String getResources()

### setDownloadUserInfo

    public void setDownloadUserInfo(java.lang.String downloadUserInfo)

### getDownloadUserInfo

    public java.lang.String getDownloadUserInfo()

### setProxyUserInfo

    public void setProxyUserInfo(java.lang.String proxyUserInfo)

### getProxyUserInfo

    public java.lang.String getProxyUserInfo()

### setHasProxy

    public void setHasProxy(java.lang.Boolean hasProxy)

### getHasProxy

    public java.lang.Boolean getHasProxy()

### setResourceType

    public void setResourceType(Resources resourceType)

### getResourceType

    public Resources getResourceType()

### setProxyFullPath

    public void setProxyFullPath(java.lang.String proxyFullPath)

### getProxyFullPath

    public java.lang.String getProxyFullPath()

### setProxyUsername

    public void setProxyUsername(java.lang.String proxyUsername)

### getProxyUsername

    public java.lang.String getProxyUsername()

### setProxyPassword

    public void setProxyPassword(java.lang.String proxyPassword)

### getProxyPassword

    public java.lang.String getProxyPassword()

### isV2VURLFormat

    public java.lang.Boolean isV2VURLFormat()

### isISOURLFormat

    public java.lang.Boolean isISOURLFormat()

### getV2VURLFormat

    public java.lang.String getV2VURLFormat()

### encodeSpace

    public static java.lang.String encodeSpace(java.lang.String url)

### decodeSpace

    public static java.lang.String decodeSpace(java.lang.String url)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.